<div class="flex items-center h-screen">
  <div class="flex flex-col w-full max-w-sm px-4 mx-auto">
    <div class="mb-6">
      @if(isProject){
        <p class="font-semibold leading-7">프로젝트 생성</p>
      }@else {
        <p class="font-semibold leading-7">PLANBIZ 처음이신가요?</p>
        <p class="text-sm text-[#6B7280]">쉽고 편리하고 효율적으로 프로젝트를 관리해 보세요</p>
      } 
    </div>
    <form [formGroup]="formGroup" class="text-sm [&>app-input-label]:mb-6"> 
        <app-input-label w="full" [labelText]="'프로젝트 이름'"
        [message]="formGroup.get('name')?.value && formGroup.get('name')?.invalid ? '2~12자리 입력해주세요' : ''"
        [color]="formGroup.get('name')?.invalid ? 'error' : 'primary'">
        <input class="w-full" type="text" placeholder="이름" formControlName="name" />
      </app-input-label>  
      @if(formGroup.invalid){
        <app-button class="px-4 !bg-gray-300 !border-none">저장</app-button> 
      }@else {
        <app-button class="px-4" (click)="onSubmit()">프로젝트 생성하기</app-button>  
      }  
    </form>
  </div>
</div>
